Bug 1615074 - Today after upgrade system stop working GUI (and update cannot be undone)
Summary: Today after upgrade system stop working GUI (and update cannot be undone)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29BetaBlocker F29BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-08-12 04:49 UTC by Mikhail
Modified: 2018-08-13 16:29 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-13 16:29:48 UTC


Attachments (Terms of Use)
system log (3.32 MB, text/x-vhdl)
2018-08-12 04:49 UTC, Mikhail
no flags Details
dnf log (710.38 KB, text/plain)
2018-08-12 04:50 UTC, Mikhail
no flags Details

Description Mikhail 2018-08-12 04:49:21 UTC
Created attachment 1475284 [details]
system log

Description of problem:
Today after upgrade system stop working GUI (and update cannot be undone)

*** Please make any update undonable ***

# rpm -q xorg-x11-server-Xorg
xorg-x11-server-Xorg-1.20.1-1.fc29.x86_64
# rpm -q llvm-libs
llvm-libs-7.0.0-0.1.rc1.fc29.x86_64


[snip from system log]
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: (II) Loading sub module "glamoregl"
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: (II) LoadModule: "glamoregl"
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: (II) Loading /usr/lib64/xorg/modules/libglamoregl.so
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: (II) Module glamoregl: vendor="X.Org Foundation"
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]:         compiled for 1.20.1, module version = 1.0.1
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]:         ABI class: X.Org ANSI C Emulation, version 0.4
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: gbm: failed to open any driver (search paths /usr/lib64/dri)
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: gbm: Last dlopen error: libLLVM-6.0.so: cannot open shared object file: No such file or directory
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: failed to load driver: radeonsi
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: gbm: failed to open any driver (search paths /usr/lib64/dri)
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: gbm: Last dlopen error: libLLVM-6.0.so: cannot open shared object file: No such file or directory
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: failed to load driver: kms_swrast
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: gbm: failed to open any driver (search paths /usr/lib64/dri)
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: gbm: Last dlopen error: libLLVM-6.0.so: cannot open shared object file: No such file or directory
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: failed to load swrast driver
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: couldn't get display device
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: (EE) modeset(0): glamor initialization failed
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: (II) modeset(0): ShadowFB: preferred YES, enabled YES
Aug 12 09:27:49 localhost.localdomain /usr/libexec/gdm-x-session[1315]: (II) modeset(0): Double-buffered shadow updates: off
[snip from system log]


# dnf downgrade llvm-libs
Last metadata expiration check: 0:24:25 ago on Sun 12 Aug 2018 09:17:26 AM +05.
Package llvm-libs of lowest version already installed, cannot downgrade it.
Error: No packages marked for downgrade.

Comment 1 Mikhail 2018-08-12 04:50:27 UTC
Created attachment 1475285 [details]
dnf log

Comment 2 Fedora Blocker Bugs Application 2018-08-12 04:51:53 UTC
Proposed as a Blocker and Freeze Exception for 29-beta by Fedora user mikhail using the blocker tracking app because:

 GUI stop working (unable enter in gnome-shell)

Comment 3 František Zatloukal 2018-08-13 06:59:06 UTC
Hi,

first of all, you can downgrade llvm by downloading the rpm from koji, so for x86_64:

sudo dnf install "https://kojipkgs.fedoraproject.org//packages/llvm/6.0.1/6.fc29/x86_64/llvm-libs-6.0.1-6.fc29.x86_64.rpm"

As for the issue itself, it looks like the new llvm was pushed into Rawhide, but not every package that depends on it was rebuilt (or was rebuilt, but it'll take time to propagate through mirrors). You might want to try dnf update once more before downgrading the llvm-libs.

Comment 4 Adam Williamson 2018-08-13 15:12:47 UTC
Do you have llvm6.0-libs installed?

If so, which version? If less than 6.0.1-7.fc29, does updating to that version fix the problem?

If not, does installing it fix the problem?

Thanks.

Comment 5 Mikhail 2018-08-13 16:09:48 UTC
(In reply to František Zatloukal from comment #3)
> Hi,
> 
> first of all, you can downgrade llvm by downloading the rpm from koji, so
> for x86_64:
> 
> sudo dnf install
> "https://kojipkgs.fedoraproject.org//packages/llvm/6.0.1/6.fc29/x86_64/llvm-
> libs-6.0.1-6.fc29.x86_64.rpm"

I already wrote more than once that for roll back through koji, at least a system with a working GUI is needed, because needed web browser.

Secondly, if you have updated 300 packages at a time, and it's not clear from the errors from logs what exactly broke the system. Search in koji all 300 updated packages can take more than one day. Or another case: package is one but have a lot of dependences. All depended packages must also downloaded form koji too it's very laborious and inconvenient.

I propose goal for Fedora 30 (Rawhide) that every package can be downgraded even in Rawhide.

This would be useful to everyone who wants to have a bleeding edge system on Fedora.

(In reply to Adam Williamson from comment #4)
> Do you have llvm6.0-libs installed?
> 
> If so, which version? If less than 6.0.1-7.fc29, does updating to that
> version fix the problem?
> 
> If not, does installing it fix the problem?

Yes, I confirm that with llvm6.0-libs-6.0.1-7 the issue was gone.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.